/* Inter (body/sans-serif font) */

@font-face {
  font-family: "Inter";
  src: url("Inter-Bold.woff2") format("woff2"),
    url("Inter-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-ExtraBold.woff2") format("woff2"),
    url("Inter-ExtraBold.woff") format("woff");
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-Light.woff2") format("woff2"),
    url("Inter-Light.woff") format("woff");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-Black.woff2") format("woff2"),
    url("Inter-Black.woff") format("woff");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-ExtraLight.woff2") format("woff2"),
    url("Inter-ExtraLight.woff") format("woff");
  font-weight: 200;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-Thin.woff2") format("woff2"),
    url("Inter-Thin.woff") format("woff");
  font-weight: 100;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-SemiBold.woff2") format("woff2"),
    url("Inter-SemiBold.woff") format("woff");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-Medium.woff2") format("woff2"),
    url("Inter-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("Inter-Regular.woff2") format("woff2"),
    url("Inter-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Space Mono (monospace font) */

@font-face {
  font-family: "Space Mono";
  src: url("SpaceMono-Regular.woff2") format("woff2"),
    url("SpaceMono-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Space Mono";
  src: url("SpaceMono-Italic.woff2") format("woff2"),
    url("SpaceMono-Italic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Space Mono";
  src: url("SpaceMono-BoldItalic.woff2") format("woff2"),
    url("SpaceMono-BoldItalic.woff") format("woff");
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Space Mono";
  src: url("SpaceMono-Bold.woff2") format("woff2"),
    url("SpaceMono-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

/* Poppins (geometric font) */

@font-face {
  font-family: "Poppins";
  src: url("Poppins-Regular.woff2") format("woff2"),
    url("Poppins-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: url("Poppins-Italic.woff2") format("woff2"),
    url("Poppins-Italic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: url("Poppins-BoldItalic.woff2") format("woff2"),
    url("Poppins-BoldItalic.woff") format("woff");
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: url("Poppins-Bold.woff2") format("woff2"),
    url("Poppins-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

/* IBM Plex Serif (serif font) */

@font-face {
  font-family: "IBM Plex Serif";
  src: url("IBMPlexSerif-Light.woff2") format("woff2"),
    url("IBMPlexSerif-Light.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "IBM Plex Serif";
  src: url("IBMPlexSerif-SemiBoldItalic.woff2") format("woff2"),
    url("IBMPlexSerif-SemiBoldItalic.woff") format("woff");
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "IBM Plex Serif";
  src: url("IBMPlexSerif-SemiBold.woff2") format("woff2"),
    url("IBMPlexSerif-SemiBold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "IBM Plex Serif";
  src: url("IBMPlexSerif-LightItalic.woff2") format("woff2"),
    url("IBMPlexSerif-LightItalic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

/* Barlow Condensed (condensed font) */

@font-face {
  font-family: "Barlow Condensed";
  src: url("barlowcondensed-bold.woff2") format("woff2"),
    url("barlowcondensed-bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Barlow Condensed";
  src: url("barlowcondensed-bolditalic.woff2") format("woff2"),
    url("barlowcondensed-bolditalic.woff") format("woff");
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Barlow Condensed";
  src: url("barlowcondensed-italic.woff2") format("woff2"),
    url("barlowcondensed-italic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Barlow Condensed";
  src: url("barlowcondensed-regular.woff2") format("woff2"),
    url("barlowcondensed-regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Archia (modern font) */

@font-face {
  font-family: "Archia";
  src: url("archia-bold-webfont.woff2") format("woff2"),
    url("archia-bold-webfont.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Archia";
  src: url("archia-regular-webfont.woff2") format("woff2"),
    url("archia-regular-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Chaney (display font) */

@font-face {
  font-family: "Chaney";
  src: url("chaney-wide-webfont.woff2") format("woff2"),
    url("chaney-wide-webfont.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Chaney";
  src: url("chaney-regular-webfont.woff2") format("woff2"),
    url("chaney-regular-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Clash Display (brutalist font) */

@font-face {
  font-family: "ClashDisplay";
  src: url("ClashDisplay-Bold.woff2") format("woff2"),
    url("ClashDisplay-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "ClashDisplay";
  src: url("ClashDisplay-Regular.woff2") format("woff2"),
    url("ClashDisplay-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Zilla Slab (slab font) */

@font-face {
  font-family: "ZillaSlab";
  src: url("ZillaSlab-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "ZillaSlab";
  src: url("ZillaSlab-BoldItalic.woff") format("woff");
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "ZillaSlab";
  src: url("ZillaSlab-Italic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "ZillaSlab";
  src: url("ZillaSlab-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
